package com.example.ReactiveRedisSession;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import reactor.core.publisher.Mono;

@SpringBootApplication
@RestController
public class ReactiveRedisSessionApplication {

	@GetMapping("/sessionReactive")
	public Mono<String> getSessionReactData(){
		return Mono.just("Reactive sessionData retrived");
	}

	public static void main(String[] args) {
		SpringApplication.run(ReactiveRedisSessionApplication.class, args);
	}

}
